Public developer API

GamersExtra Games API

Search our game database, pull release dates, inspect platforms and genres, and use our optimized cover, screenshot, artwork, and video media with attribution back to GamersExtra.

Endpoints

GET /api/games

List games with pagination, filters, attribution, and optimized cover media URLs.

GET /api/games/{slug}

Fetch one game with summary, release data, stores, platforms, genres, cover media, screenshots, artworks, videos, and attribution.

GET /api/games/meta

Fetch available platforms, genres, sort options, and attribution text for building filters.

Authentication

X-GamersExtra-Key: YOUR_API_KEY

You can also send Authorization: Bearer YOUR_API_KEY. Keys are created from your profile and are limited to 100 requests per UTC day by default.

List query parameters

ParameterValuesDefault
searchGame title text, 100 characters maxnone
platformExact platform name from `/api/games/meta`all
genreExact genre name from `/api/games/meta`all
statusall, released, upcomingreleased
sortrelease_desc, release_asc, name_asc, name_descrelease date
page1 to 10001
limit1 to 5020